Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaAwareCompilationUnit

- org.codehaus.groovy.tools.javac.JavaAwareCompilationUnit

- Compilation Unit capable of compiling Java source files.

  Authors:
    Alex.Tkachman

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `JavaCompilerFactory` | `compilerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaAwareCompilationUnit (CompilerConfiguration configuration)`
    `JavaAwareCompilationUnit (CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)`
    `JavaAwareCompilationUnit (CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addSources(String[] paths)`
    `` | `void` | `addSources(File[] files)`
    `` | `void` | `configure(CompilerConfiguration configuration)`
    `` | `JavaCompilerFactory` | `getCompilerFactory()`
    `` | `void` | `gotoPhase(int phase)`
    `` | `void` | `setCompilerFactory(JavaCompilerFactory compilerFactory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.codehaus.groovy.control.CompilationUnit` | `org.codehaus.groovy.control.CompilationUnit#compile(), org.codehaus.groovy.control.CompilationUnit#compile(int), org.codehaus.groovy.control.CompilationUnit#iterator(), org.codehaus.groovy.control.CompilationUnit#getClasses(), org.codehaus.groovy.control.CompilationUnit#configure(org.codehaus.groovy.control.CompilerConfiguration), org.codehaus.groovy.control.CompilationUnit#getClassNode(java.lang.String), org.codehaus.groovy.control.CompilationUnit#setClassgenCallback(org.codehaus.groovy.control.CompilationUnit$ClassgenCallback), org.codehaus.groovy.control.CompilationUnit#addFirstPhaseOperation(org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation, int), org.codehaus.groovy.control.CompilationUnit#addPhaseOperation(org.codehaus.groovy.control.CompilationUnit$SourceUnitOperation, int), org.codehaus.groovy.control.CompilationUnit#addPhaseOperation(org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation, int), org.codehaus.groovy.control.CompilationUnit#addPhaseOperation(org.codehaus.groovy.control.CompilationUnit$GroovyClassOperation), org.codehaus.groovy.control.CompilationUnit#applyToSourceUnits(org.codehaus.groovy.control.CompilationUnit$SourceUnitOperation), org.codehaus.groovy.control.CompilationUnit#getSummariesByPublicClassName(), org.codehaus.groovy.control.CompilationUnit#getASTTransformationsContext(), org.codehaus.groovy.control.CompilationUnit#applyToGeneratedGroovyClasses(org.codehaus.groovy.control.CompilationUnit$GroovyClassOperation), org.codehaus.groovy.control.CompilationUnit#addNewPhaseOperation(org.codehaus.groovy.control.CompilationUnit$SourceUnitOperation, int), org.codehaus.groovy.control.CompilationUnit#getSummariesBySourceName(), org.codehaus.groovy.control.CompilationUnit#getClassgenCallback(), org.codehaus.groovy.control.CompilationUnit#getProgressCallback(), org.codehaus.groovy.control.CompilationUnit#getClassSourcesByPublicClassName(), org.codehaus.groovy.control.CompilationUnit#setProgressCallback(org.codehaus.groovy.control.CompilationUnit$ProgressCallback), org.codehaus.groovy.control.CompilationUnit#getClassNodeResolver(), org.codehaus.groovy.control.CompilationUnit#getTransformLoader(), org.codehaus.groovy.control.CompilationUnit#applyToPrimaryClassNodes(org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation), org.codehaus.groovy.control.CompilationUnit#getFirstClassNode(), org.codehaus.groovy.control.CompilationUnit#addSource(org.codehaus.groovy.control.SourceUnit), org.codehaus.groovy.control.CompilationUnit#addSource(java.lang.String, java.lang.String), org.codehaus.groovy.control.CompilationUnit#addSource(java.net.URL), org.codehaus.groovy.control.CompilationUnit#addSource(java.io.File), org.codehaus.groovy.control.CompilationUnit#addSource(java.lang.String, java.io.InputStream), org.codehaus.groovy.control.CompilationUnit#addClassNode(org.codehaus.groovy.ast.ClassNode), org.codehaus.groovy.control.CompilationUnit#getAST(), org.codehaus.groovy.control.CompilationUnit#setClassNodeResolver(org.codehaus.groovy.control.ClassNodeResolver), org.codehaus.groovy.control.CompilationUnit#addSources([Ljava.lang.String;), org.codehaus.groovy.control.CompilationUnit#addSources([Ljava.io.File;), org.codehaus.groovy.control.CompilationUnit#isPublicClass(java.lang.String), org.codehaus.groovy.control.CompilationUnit#getClassLoader(), org.codehaus.groovy.control.CompilationUnit#setClassLoader(groovy.lang.GroovyClassLoader), org.codehaus.groovy.control.CompilationUnit#getErrorCollector(), org.codehaus.groovy.control.CompilationUnit#getConfiguration(), org.codehaus.groovy.control.CompilationUnit#nextPhase(), org.codehaus.groovy.control.CompilationUnit#gotoPhase(int), org.codehaus.groovy.control.CompilationUnit#completePhase(), org.codehaus.groovy.control.CompilationUnit#getPhase(), org.codehaus.groovy.control.CompilationUnit#getPhaseDescription(), org.codehaus.groovy.control.CompilationUnit#setConfiguration(org.codehaus.groovy.control.CompilerConfiguration), org.codehaus.groovy.control.CompilationUnit#wait(), org.codehaus.groovy.control.CompilationUnit#wait(long, int), org.codehaus.groovy.control.CompilationUnit#wait(long), org.codehaus.groovy.control.CompilationUnit#equals(java.lang.Object), org.codehaus.groovy.control.CompilationUnit#toString(), org.codehaus.groovy.control.CompilationUnit#hashCode(), org.codehaus.groovy.control.CompilationUnit#getClass(), org.codehaus.groovy.control.CompilationUnit#notify(), org.codehaus.groovy.control.CompilationUnit#notifyAll()`
    `class ProcessingUnit` | `getClassLoader, configure, setClassLoader, getErrorCollector, getConfiguration, nextPhase, gotoPhase, completePhase, getPhase, getPhaseDescription, setConfiguration, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### JavaCompilerFactory compilerFactory

  - ### Constructor Detail

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration)

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)

  - ### Method Detail

    - #### public void addSources(String[] paths)

    - #### public void addSources(File[] files)

    - #### public void configure(CompilerConfiguration configuration)

    - #### public JavaCompilerFactory getCompilerFactory()

    - #### public void gotoPhase(int phase)

    - #### public void setCompilerFactory(JavaCompilerFactory compilerFactory)